Create or update the inference region policy

  • PUT /_inference/_region_policy
Auth

The region policy restricts inference to a set of allowed geographic areas or cloud service provider regions.

Required privileges

Cluster privileges manage_inference

Query parameters

force boolean · default: false

If true, the region policy is applied even if it would deny access to inference endpoints that are currently in use by ingest pipeline or indices.

Request body

region_policy object required

The region policy configuration.

allowed_geos string[]

The list of allowed geographic areas. Mutually exclusive with allowed_regions.

Response

application/json
region_policy object required
allowed_geos string[]

The list of allowed geographic areas. Mutually exclusive with allowed_regions.

created_at union oneOf required

The date and time the region policy was created.

One of: string or number
created_by string

The user who created the region policy.

updated_at union oneOf

The date and time the region policy was last updated.

One of: string or number
updated_by string

The user who last updated the region policy.